Skip to main content
GET
/
api
/
v1
/
secret-imports
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/secret-imports \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "secretImports": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "importPath": "<string>",
      "position": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "importEnv": {
        "name": "<string>",
        "slug": "<string>",
        "id": "<string>"
      },
      "version": 1,
      "isReplication": false,
      "isReplicationSuccess": true,
      "replicationStatus": "<string>",
      "lastReplicated": "2023-11-07T05:31:56Z",
      "isReserved": false
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Query Parameters

workspaceId
string
required

The ID of the project to list secret imports from.

environment
string
required

The slug of the environment to list secret imports from.

path
string
default:/

The path to list secret imports from.

Response

Default Response

message
string
required
secretImports
object[]
required